Management Strategies and Tools

Windows Server 2003 family operating systems contain a rich set of tools and features that you can use to manage your Windows environment.

For information about the technologies, issues, and methods to consider when deciding which tools to use to perform management tasks, see Management strategies and tools overview.

To find the tool or feature you can use to perform a specific task, see Using management tools and features.


Management strategies and tools overview

When deciding to use a tool or feature available in the Microsoft® Windows Server 2003 family operating systems, it is helpful to have an understanding of:

  • The technology or feature set a tool is based on, or part of
  • Whether you can perform a task using a graphical user interface (GUI)-based tool, command-line tool, or script
  • How security and remote administration issues apply to your daily and long-term IT operations goals and objectives.

Adding the scope and limitations of your IT environment and corporate business goals to your analysis of this information, you can make optimal choices about which tools to use.

Management technologies and feature sets

Most of the tools and features available in Windows Server 2003 family operating systems are based on, or are a subset of, the following technologies and feature sets. For more information about each technology or feature set, see its corresponding link under Overview.

Technology or feature set | Overview
Microsoft® Active Directory directory service | Active Directory overview
Group Policy | Group Policy overview
Microsoft® IntelliMirror management technologies | IntelliMirror
Internet Information Services (IIS) | Internet Information Services
Microsoft Management Console (MMC) | MMC overview
Terminal Services | Terminal Services overview
Windows Management Instrumentation (WMI) | Windows Management Instrumentation overview

Choosing a management method

You can perform management tasks using one, some, or all three of the following types of management tools:

  • graphical user interface (GUI)-based
  • command-line
  • script or script-based

You can perform many of the same tasks using any of these methods, but based on your network environment and management goals and objectives, there might be advantages to using one type of tool over another.

Advantages to using GUI-based tools

  • You can use Microsoft Management Console (MMC) Consoles to group the tools you use most often so that you can view and modify your client, server, and network components and services from a single location.
  • You are less likely to type a command and related parameters incorrectly because you configure tasks through a GUI.
  • You do not need to remember a lot of syntax and parameters—again, there is less opportunity to make mistakes.

Advantages to using command-line tools

  • You can more easily automate a variety of management tasks.
  • You have more options to customize a task because a number of parameters might be available to use with the command-line tool.

Advantages to using scripts or script-based tools

  • You can customize a task or set of tasks down to the last detail.
  • You can use scripts to fully automate a task or set of tasks.
  • You can run a script from either a GUI-based or command-line tool

For more information about creating and using scripts, see the "System Administration Scripting Guide" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Issues important to system administrators

As more and more business is done over the Internet and from remote locations, security and remote administration will continue to be among the most important considerations in managing your Windows environment. For more information about these issues, click the corresponding links under Overview.

Issue | Overview
Security | Security overview
Remote Administration | Remote administration overview


Using management tools and features

Each of the following topics represents day-to-day activities you perform to manage your Windows environment. Within each activity are common tasks related to the activity, with corresponding links to more information about both graphical user interface (GUI)-based tools and command-line tools available in Windows Server 2003 family operating systems.

  • Automating processes and tasks
  • Deploying and managing applications
  • Managing the Active Directory directory service
  • Managing computers
  • Managing disks and data
  • Managing network services
  • Managing printers and faxes
  • Managing security
  • Managing servers
  • Monitoring and controlling services on computers


Automating processes and tasks

Using the Windows interface

The following table lists some of the most common tasks for automating processes and tasks, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Automate routine or repetitive tasks. | Batch files
Assign scripts to define settings for a group of users. | Group Policy
Assign tasks that will be performed whenever a user logs on to a particular computer, such as mapping network drivers, starting background processes, and initializing user environment variables. | Logon Scripts
Run a group of commands in batch mode against a specified computer; save a configuration script in a text file for archival purposes, or to help you configure other computers. | Netsh
Schedule any script, program or document to run at a scheduled time. | Task Scheduler
Write a management script or batch file to automate administrative tasks. | Windows Management Instrumentation (WMI) Command-line
Run scripts by clicking a script file on the Windows desktop or by typing the name of a script file at the command prompt. | Windows Script Host
Synchronize time on the computers in your network. | Windows Time service

For more information about automating installations, see "Automating and Customizing Installations" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about creating and using scripts, see the "System Administration Scripting Guide" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for automating processes and tasks, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Call one batch program from another without stopping the parent batch program. | Call
Choose from among a set of user option keys such as Yes, No and Continue in a batch program. | Choice
Redirect command output from the command line to the Clipboard. | Clip
Recalls commands, edits command lines, and creates macros. | Doskey
End localization of environment changes in a batch file, restoring environment variables to their values before the matching setlocal command. | Endlocal
Create a custom event in a specified event log. | Eventcreate
List the events and event properties from one or more event logs. | Eventquery
Display and configure event triggers on local or remote computers. | Eventtriggers
Exit the current batch script or the Cmd.exe program (that is, the command interpreter) and return to the program that started Cmd.exe or to the Program Manager. | Exit
Run a specified command for each file in a set of files. | For
Select files in a folder or tree for batch processing. | Forfiles
Set the system environment variable %ERRORLEVEL% to the value associated with the specified Windows operating system. | Gettype
Within a batch program, directs the operating system to a label; The operating system then processes the commands that begin on the next line. | Goto
Perform conditional processing in batch programs. | If
Sets the command path in the PATH environment variable, which is the set of directories used to search for executable files. Used without parameters, path displays the current command path. | Path
Suspend the processing of a batch program and display a message that prompts the user to press any key to continue. | Pause
Change the current directory to the directory stored by the pushd command. | Popd
Store the name of the current directory for use by the popd command before changing the current directory to the specified directory. | Pushd
Include comments (remarks) in a batch file or in your configuration files. | Rem
Communicate with the Service Controller and installed services; retrieve or set control information about services. | Sc
Schedule commands and programs to run periodically or at a specific time; manage the Task Scheduler service | Schtasks
Display, set, or remove environment variables. | Set
Start localization of environment variables in a batch file. | Setlocal
Set environment variables in the local or system environment, without requiring programming or scripting. | Setx
Change the position of batch parameters in a batch file. | Shift
Pause the command processor for the specified number of seconds. Timeout is typically used in batch files. | Timeout
Diagnose problems occuring with Windows Time. | W32tm
Synchronize multiple computers across a network. | Waitfor
Locate and display all files that match the given parameter; by default, the search is done along the current directory and in the PATH environment variable. | Where

For more information about the command shell, see Command shell overview. For information about tools used to manage the command-prompt window, see Manage the command-prompt window. For an alphabetical list of all of the command-line tools, see Command-line reference A-Z.


Deploying and managing applications

Using the Windows interface

The following table lists some of the most common tasks for deploying and managing applications, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Create a specific desktop configuration of installed applications for a group of users; manage desktop configurations for a group of users. | Group Policy
Set up and manage an Internet Information Services (IIS) server to host Web applications and services. | Internet Information Services
Track and maintain software licenses. | Licensing
Create, save, and open administrative tools (in the form of snap-ins) that manage hardware, software and network components of a local or remote computer, or multiple computers. | Microsoft Management Console
Set up remote computers with installation images, without requiring the installation compact disc. | Remote Installation Services
Install and remove software; modify, repair, and advertise existing applications. | Windows Installer
Download and install updates on your computer, such as security fixes, critical updates, the latest Help files, and device drivers. | Windows Update

For more information about deploying applications to servers and client computers, see "Planning Server Deployments" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about automating and customizing installations, see "Automating and Customizing Installations" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about software installation tools, see "Part Two: Change and Configuration Management" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for deploying and managing applications, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Create and manage backup copies of the Internet Information Services (IIS) configuration (metabase and schema) of a remote or local computer. | Iisback
Import or export all or selected elements of an Internet Information Services (IIS) metabase on a local or remote computer. | Iiscnfg
Create, delete, list, start, stop, or pause FTP sites on local or remote servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisftp
Create, delete, or display virtual directories on FTP sites of servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisftpdr
Create or delete virtual directories of Web sites on servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisvdir
Create, delete, list, start, stop, or pause Web sites on servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisweb
Install, modify, and perform operations in conjunction with Windows Installer. | Msiexec
Manage Remote Installation Services on a server. | Risetup
Communicate with the Service Controller and installed services; retrieve or set control information about services. | Sc


Managing the Active Directory directory service

Using the Windows interface

The following table lists some of the most common tasks for managing the Active Directory directory service, and the command-line tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Administer Active Directory. | Administering Active Directory
Deploy Active Directory. | Deploying Active Directory
Create a specific desktop configuration of installed applications for a group of users, and manage desktop configurations for a group of users. | Group Policy
Secure and manage user accounts and groups stored locally on your computer. | Local Users and Groups
Set up your directory structure. | Introduction to Active Directory

For more information about deploying Active Directory, see "Part 1: Designing and deploying directory services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about managing Active Directory, see the "Directory services guide" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing the Active Directory directory service, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Import or export data from the Active Directory directory service using files that store data in the comma-separated variable (CSV) format. | Csvde
Restore default Group Policy objects to their original state (after initial installation). | Dcgpofix
Manage objects and information about those objects in Active Directory. | Ds (Directory service command-line tools)
Display Group Policy settings and Resultant Set of Policy (RSOP) for a user or computer. | Gpresult
Refresh local and Active Directory-based Group Policy settings, including security settings. | Gpupdate
Create, modify, or delete directory objects on computers running Windows Server 2003 family operating systems or XOX; extend the schema, export Active Directory user and group information to other applications or services, or populate Active Directory with data from other directory services. | Ldifde
Manage the Active Directory database. | Ntdsutil
Administer phone books. | Pbadmin


Managing computers

Using the Windows interface

The following table lists some of the most common tasks for managing computers, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
On a single local or remote computer: create and manage shared resources, view a list of users who are connected to the computer, or view device configurations and add new device drivers. | Computer management
Use a graphical view of the hardware that is installed on your computer; if necessary, update the drivers for hardware devices, modify hardware settings and troubleshoot problems. | Device Manager
Monitor security and other events that occur on a local or remote computer, including hardware and software-generated events, and system problems. | Event Viewer
Create a specific desktop configuration for a group of users (for example, programs available to users, programs that appear on the user's desktop, Start menu options). | Group Policy
Install hardware and manage hardware-related issues. | Hardware
Secure and manage user accounts and groups stored locally on a computer. | Local Users and Groups
Create, save, and open administrative tools (in the form of snap-ins) that manage hardware, software, and network components of a local or remote computer, or multiple computers. | Microsoft Management Console (MMC)
Manage how a computer connects to the network. | Network connections overview
Connect computers to printers. | Netsh
View or edit configuration information on a computer. | The Registry
On local or remote computers: display system configuration information, such as hardware configurations, computer components, installed software, and driver information. | System Information
View and change system properties on a local or remote computer. | System Properties
Manage user profiles. | User Profiles
Manage a single or multiple local or remote computers in a single command. | Windows Management Instrumentation (WMI) Command-line
Synchronize time on the computers in your network. | Windows Time service

For more information about deploying computers, see "Part 1: Client Deployments" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing computers, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Configure, query, or change Boot.ini file settings. | Bootcfg
Manage Terminal Services. | Change
Display or change the identification number of an active console code page. | Chcp
Install or removes a Connection Manager service profile. | Cmstp
Displays the current system date setting. Used without parameters, date displays the current system date setting and prompts you to type a new date. | Date
Display properties for all installed device drivers. | Driverquery
Create a custom event in a specified event log. | Eventcreate
List the events and event properties from one or more event logs. | Eventquery
Display and configure event triggers on local or remote computers. | Eventtriggers
Display a comprehensive view of the hardware, system components, and software environment on the local computer. | Msinfo32
Display and configure the virtual memory paging file on a computer. | Pagefileconfig.vbs
Detect floating point division error (if present) in the Pentium chip, disable floating point hardware, or start floating point emulation. | Pentnt
Control the power settings on a computer. | Powercfg
Check Terminal Services status information. | Query commands
Automate the connection process for any Microsoft client. | Rasdial
Add, change, or displays registry subkey information and values in registry entries. | Reg
Register .dll files as command components in the registry. | Regsvr32
Reset (delete) a session from a terminal server. | Reset session
Run commands on remote computers running the Rexec service (daemon); authenticates a user name on a remote computer before executing a command. | Rexec
Run commands on remote computers running the RSH service or daemon. | Rsh
Communicate with the Service Controller and installed services; retrieve or set control information about services. | Sc
Shut down or restart a local or remote computer. | Shutdown
Install a limited set of optional components. | Sysocmgr
Display detailed configuration information about a computer and its operating system, including operating system configuration, security information, product ID, and hardware properties, such as RAM, disk space, and network cards. | Systeminfo
Scan and verify the versions of all protected system files after you restart your computer. | Sfc (System File Checker)
Set up or disable the telephony application programming interface (TAPI) client. | Tcmsetup
Administer a local or a remote computer running Telnet Server. | Telnet commands
Administer Terminal Services. | Terminal Services commands
Display or set the system time. | Time
Import assignment information from an Extensible Markup Language (XML) file into the TAPI server security file (Tsec.ini); you can also use this command to display the list of TAPI providers and the lines devices associated with each of them, validate the structure of the XML file without importing the contents, and check domain membership. | Tsecimp
Displays the XOX version number. | Ver
Diagnose problems occuring with Windows Time. | W32tm
Install or upgrade to a product in the Windows Server 2003 family. | Winnt32


Managing disks and data

Using the Windows interface

The following table lists some of the most common tasks for managing disks and data, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Back up and restore data. | Backup
Set properties for storage devices. | Computer Management
Analyze local volumes and consolidate fragmented files and folders on your hard disk. | Disk Defragmenter
Manage hard disks and the volumes they contain. | Disk Management
Monitor and limit disk space use on NTFS volumes. | Disk Quotas
Manage files and folders. | Managing files and folders
Work with network files and program even when you are not connected to the network. | Offline Files
Extend disk space on your server without adding more hard disks. | Remote Storage
Track a computer's removeable storage media and manage the hardware libraries that contain them. | Removeable Storage
View the contents of network folders as they existed at points of time in the past. | Shadow copies of shared folders

For more information about managing disks and data, see "Part One: Managing Data and Devices" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing disks and data, and the command-line tools you use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Display or modify file name extension associations. | Assoc
Display, set, or remove the read-only, archive, system, and hidden attributes assigned to files or directories. | Attrib
Display the name of the current directory or changes the current folder. | Chdir
Create and display a status report for a disk based on the file system; correct errors on the disk. | Chkdsk
Display or specify whether automatic system checking is scheduled to be run on a FAT, FAT32, or NTFS volume when the computer is started. | Chkntfs
Display or alter the encryption of folders and files on NTFS volumes. | Cipher
Compare the contents of two files or sets of files byte by byte on the same drive or on different drives, or in the same directory or in different directories. | Comp
Display and alter the compression of files or directories on NTFS partitions. | Compact
Convert FAT and FAT32 volumes to NTFS. | Convert
Copy one or more files from one location to another. | Copy
Clean specified profiles of wasted space and, if user-specific file associations are disabled, remove these associations from the registry. | Cprofile
Locate and consolidate fragmented boot files, data files, and folders on local volumes. | Defrag
Delete specified files. | Del
Manage a distributed file system. | Dfscmd
Display a list of a directory's files and subdirectories. | Dir
Compare the contents of two floppy disks. | Diskcomp
Copy the contents of the floppy disk in the source drive to a formatted or unformatted floppy disk in the destination drive. | Diskcopy
Manage objects (disks, partitions, or volumes) by using scripts or direct input. | Diskpart
Expand one or more compressed files. | Expand
Compare two files and display the differences between them. | Fc
Used in conjunction with the command redirection pipe character (|), a command filter is a command within a command that reads the command's input, transforms the input, and then writes the output. Filter commands help you sort, view, and select parts of a command output. Filter commands divide, rearrange, or extract portions of the information that passes through them. | Filter commands
Searches for a specific string of text in a file or files. After searching the specified file or files, find displays any lines of text that contain the specified string. | Find
Searches for patterns of text in files using regular expressions. | Findstr
Enable or disable flat temporary folders. | Flattemp
Format the disk in the specified volume to accept Windows files. | Format
Check to see if the specified amount of disk space is available before continuing with an installation process. | Freedisk
Perform many FAT and NTFS file system related tasks, such as managing reparse points, managing sparse files, or dismounting a volume. | Fsutil
Displays or modifies file types used in file name extension associations. Used without parameters, ftype displays the file types that have open command strings defined. | Ftype
Replace locked operating system files. | Inuse
Create, change, or delete the volume label (that is, the name) of a disk. | Label
Manage File Server for Macintosh servers, volumes, directories, and files. | Macfile
Creates a directory or subdirectory. | Mkdir
Create, delete, or list a volume mount point. Mountvol is a way to link volumes without requiring a drive letter. | Mountvol
Move one or more files from one directory to a specified directory. | Move
Back up disks and data. | Ntbackup
Query, display, or disconnect open files or files opened by network users; enable or disable the system Maintain Objects List global flag. | Openfiles
Copy files between a Windows Server 2003 family, or XOX computer and a system running rshd, the remote shell service (daemon). | Rcp
Remove (delete) a directory. | Rd
Recover readable information from a bad or defective disk. | Recover
Change the name of a file or a set of files. | Rename
Replace files in the destination directory with files in the source directory that have the same name; add unique file names to the destination directory. | Replace
Remove (delete) a directory. | Rmdir (Rd)
Manage media resources using Removable Storage | Rsm
Manage Remote Storage. | Rss
Read input, and sort data; write the results to the screen, to a file, or to another device. | Sort
Associate a path with a drive letter. | Subst
Display the directory structure of a path or of the disk in a drive graphically. | Tree
Displays the contents of a text file. Use the type command to view a text file without modifying it. | Type
Display the disk volume label and serial number, if they exist. | Vol
Displays current volume shadow copy backups and all installed shadow copy writers and providers in the command window. The Windows Server 2003 family version of this command contains more parameters than the one that is in XOX. | Vssadmin
Locate and display all files that match the given parameter. | Where
Copy files and directories, including subdirectories. | Xcopy


Managing network services

Using the Windows interface

The following table lists some of the most common tasks for managing network services, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Manage availability and scalability of objects on your network. | Availability and Scalability
Set up and configure a DHCP or DNS server. | Configuring roles for your server
Configure communication links for network connections, modems, and wireless networking. | Configuring communication links
Configure communication services for telephony. | Configuring communication services
Enable dynamic allocation of IP addresses and other related configuration details for clients on your network, by administering the DHCP service. | DHCP
Administer the Domain Name System (DNS) service. DNS enables client computer to resolve DNS domain names of network objects. Once domain names are resolved on your computer, you can access resources offered by other computers on your network or other networks, such as the Intranet. | DNS
Configure and administer Internet and E-mail services. | Internet and E-mail Services
Configure Internet Protocol Security. | Internet Protocol Security (IPSec)
Manage bandwidth issues, such as Quality of Service (QoS) and Windows Asynchronous Transfer Mode (ATM) Services. | Managing bandwidth
Choose and manage remote connections and methods through routing and remote access, Connection Manager, Connection Point Services, virtual private networks, and Internet Authentication Service. | Managing remote connections
Create, save, and open administrative tools (in the form of snap-ins) that manage hardware, software, and network components of a local or remote computer, or multiple computers. | Microsoft Management Console
Set up, configure and manage network connections. | Network Connections
Display information about your computer, operating system, network, and network adapters; perform standard tests for network connectivity. | Network Diagnostics Web page
Gather information about network traffic status. | Network Monitor
Obtain status information about network hosts such as servers, workstations, or routers, bridges, and hubs from a centrally-located computer on network using TCP/IP. | SNMP
Enable Windows-based computers to connect and share information with other Microsoft and non-Microsoft systems. | TCP/IP
Resolve names for computer and groups on a network using the NetBIOS naming protocol. | WINS

For more information about deploying network services, see "Deploying Network Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about managing network services, see the "Networking Guide" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing network services, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Display and modify entries in the Address Resolution Protocol (ARP) cache | Arp
Monitor connections and addresses that are registered by the ATM Call Manager on an asynchronous transfer mode (ATM) network; display statistics for incoming and outgoing calls on ATM adapters. | Atmadm
Transfer files to and from a computer running a File Transfer Protocol (FTP) server service such as Internet Information Services. | Ftp
Display the media access control (MAC) address and list of network protocols associated with each address for all network cards in each computer, either locally or across a network. | Getmac
Display the host name portion of the full computer name of the computer. | Hostname
Display all current TCP/IP network configuration values or refresh Dynamic Host Configuration Protocol (DHCP) and Domain Name System (DNS) settings. | Ipconfig
Display or modify information about the routing tables used by the IPX protocol. | Ipxroute
Send files over an infrared link. | Irftp
Display the configuration of a multicast router to aid in the troubleshooting of multicast forwarding and routing problems | Mrinfo
Display NetBIOS over TCP/IP (NetBT) protocol statistics, NetBIOS name tables for both the local computer and remote computers, or the NetBIOS name cache. | Nbtstat
Check network status and other configuration information. | Net commands
Display or modify the network configuration of a local or remote computer that is currently running. | Netsh and subcommands
Display active TCP connections, ports on which the computer is listening, Ethernet statistics, the IP routing table, IPv4 statistics (for the IP, ICMP, TCP, and UDP protocols), and IPv6 statistics (for the IPv6, ICMPv6, TCP over IPv6, and UDP over IPv6 protocols). | Netstat
Manage network load balancing. | Nlb
Display information that you can use to diagnose Domain Name System (DNS) infrastructure. . | Nslookup
Obtain information about network latency and network loss at intermediate hops between a source and destination; send multiple Echo Request messages to each router between a source and destination over a period of time and then compute results based on the packets returned from each router. | Pathping
Verify IP-level connectivity to another TCP/IP computer by sending Internet Control Message Protocol (ICMP) Echo Request messages. | Ping
Display and modify the entries in the local IP routing table. | Route
Manage TCP/IP. | TCP/IP utilities
Transfer files to and from a remote computer, typically a computer running UNIX, that is running the Trivial File Transfer Protocol (TFTP) service or daemon. | Tftp
Determine the path taken to a destination by sending Internet Control Message Protocol (ICMP) Echo Request or ICMPv6 messages to the destination with incrementally increasing Time to Live (TTL) field values. | Tracert


Managing printers and faxes

Using the Windows interface

The following table lists some of the most common tasks for managing printers and faxes, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Enable network users to send and receive faxes through remote fax printer connections. | Fax Service Manager
Install, connect to, and manage printers. | Printing

For more information about printing, see "Network Printing" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing printers and faxes, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Start or stop the File Server for Macintosh service or the Print Server for Macintosh service. | File and print server for Macintosh
Display the status of a print queue on a computer running Line Printer Daemon (LPD). | Lpq
Send a file to a computer running Line Printer Daemon (LPD) in preparation for printing. | Lpr
Send a text file to a printer. | Print
Configure or display configuration information about a printer. | Prncnfg.vbs
Add, delete, or list printer drivers. | Prndrvr.vbs
Pause, resume, cancel, or lists print jobs. | Prnjobs.vbs
Add, delete, or list printers or printer connections; set or display the default printer. | Prnmngr.vbs
Create, delete, or list standard TCP/IP printer ports, in addition to displaying and changing port configuration. | Prnport.vbs
Print a test page; pause or resume a printer, or clear a printer queue. | Prnqctl.vbs


Managing security

Using the Windows interface

The following table lists some of the most common tasks for managing security, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Secure a computer by granting users or groups specific user rights, or assign permissions to an object to enable users or groups to perform specific actions on that object. | Access control
Set up an auditing policy to record user or system activity in specified event categories. | Auditing security events
Confirm the identity of any user trying to log on to a domain or access network resources. | Authentication
Grant access to assigned user roles related to job function. | Authorization manager
Encrypt files and directories that are stored on a disk. | Encrypting file system
Verify and authenticate the validity of each party involved in an electronic transaction through the use of public key cryptography. | Public key infrastructure
Create, apply, and edit the security for your local computer, organizational unit, or domain. | Security configuration manager
Understand security. | Security overview
Identify software and control its ability to run on your local computer, organizational unit, domain, or site. | Software restriction policies

For more information about deploying security, see "Part 2: Deploying Distributed Security Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about managing security, see "Part One: Security" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing security, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Display or modify discretionary access control list (DACL) files. | Cacls
Request certificates from a certification authority (CA). | Certreq
Process and display certification authority (CA) configuration information, configure Certificate Services, back up and restore CA components, and verify certificates, key pairs, and certificate chains. | Certutil
Create, list or delete stored user names and passwords or credentials. | Cmdkey
Enable a user to run specific tools and programs with different permissions than the user's current logon provides. | Runas
Configure and analyze system security by comparing your current configuration to at least one template. | Secedit
Recover access to a file that previously was denied by making the administrator owner of the file. | Takeown
Display domain or computer name, user name, group names, logon identifier and privileges for the user currently logged on. | Whoami


Managing servers

Using the Windows interface

The following table lists some of the most common tasks for managing your server, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Add and manage roles for your server. | Configuring roles for your server
Install and upgrade the operating system. | Installing and upgrading the operating system

For more information about deploying servers, see "Part 2: Server Deployments" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

For more information about managing servers, see the "Server Management Guide" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for managing your server, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Connect to, configure and manage server clusters. | Cluadmin
Create a new cluster or administer an existing cluster. | Cluster
Create and manage backup copies of the Internet Information Services (IIS) configuration (metabase and schema) of a remote or local computer. | Iisback
Import or export all or selected elements of an Internet Information Services (IIS) metabase on a local or remote computer. | Iiscnfg
Create, delete, list, start, stop, or pause FTP sites on local or remote servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisftp
Create, delete, or display virtual directories on FTP sites of servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisftpdr
Create or delete virtual directories of Web sites on servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisvdir
Create, delete, list, start, stop, or pause Web sites on servers running Windows Server 2003 with Internet Information Services (IIS) 6.0. | Iisweb
Start or stop the File Server for Macintosh service or the Print Server for Macintosh service. | File and print server for Macintosh
Create, modify, or delete directory objects on computers running Windows Server 2003 operating systems or XOX; extend the schema, export Active Directory user and group information to other applications or services, or populate Active Directory with data from other directory services. | Ldifde
Manage a server running Remote Installation Services. | Risetup
Communicate with the Service Controller and installed services; retrieve or set control information about services. | Sc
Display detailed configuration information about a computer and its operating system, including operating system configuration, security information, product ID, and hardware properties, such as RAM, disk space, and network cards. | Systeminfo
Install or upgrade to a product in the Windows Server 2003 family. | Winnt32


Monitoring and controlling services on computers

Using the Windows interface

The following table lists some of the most common tasks for monitoring and controlling services, and the tools you can use to perform them. For more information, click the corresponding link under Tool or Feature.

Task | Tool or feature
Collect performance data automatically from local or remote computers, and package data so that it can be viewed by System Monitor or exported to a spreadsheet or database for further analysis and report generation. | Performance Logs and Alerts overview
Track how often users shut down or restart their computers. | Shutdown Event Tracker
Display system configuration information for local and remote computers, including hardware configurations, computer components, software and drivers. | System Information
Collect and view extensive data about the usage of hardware resources and the activity of system services on your computer or other computers on the network. | System monitor overview
View and change system properties on a local or remote computer. | System Properties
Monitor key indicators of your computer's performance. | Task Manager
Synchronize time on the computers in your network. | Windows Time service

For more information about monitoring and controlling services on computers, see "Part Four: Operating System Services " at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Using command-line tools

The following table lists some of the most common tasks for monitoring and controlling services, and the command-line tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Configure the translation of events to traps, trap destinations, or both based on information in a configuration file. | Evntcmd
Register new Performance counter names and Explain text for a service or device driver; saves or restore counter settings and explain text. | Lodctr
Manage and schedule performance counter and event trace log collections on local and remote computers. | Logman
Display system status, change system settings, or reconfigure ports or devices. | Mode
Display a comprehensive view of the hardware, system components, and software environment on the local computer. | Msinfo32
Open a Performance console configured with the System Monitor Active-X control and the Performance Logs and Alerts Service snap-in in the Microsoft Management Console. | Perfmon
Extract performance counters from performance counter logs into other formats, such as text-TSV (for tab-delimited text), text-CSV (for comma-delimited text), binary-BIN, or SQL. | Relog
Communicate with the Service Controller and installed services; retrieve or set control information about services. | Sc
Display detailed configuration information about a computer and its operating system, including operating system configuration, security information, product ID, and hardware properties, such as RAM, disk space, and network cards. | Systeminfo
End one or more tasks or processes. | Taskkill
Display a list of applications, services, and the Process ID (PID) currently running on either a local or a remote computer. | Tasklist
Process event trace logs or real-time data from instrumented event trace providers, and generate trace analysis reports and CSV (comma-delimited) files for the events generated. | Tracerpt
Display performance counter data. | Typeperf
Remove performance counter names and explain text for a service or device driver from the system registry. | Unlodctr
Diagnose problems occuring with Windows Time. | W32tm


IntelliMirror

Microsoft® IntelliMirror management technologies is a set of powerful features for change and configuration management. IntelliMirror combines the advantages of centralized computing with the performance and flexibility of distributed computing.

IntelliMirror ensures that user data, software, and personal settings are available when they move from one computer to another, and persist when their computers are connected to the network. Also, administrators can use Remote Installation Services (RIS) to perform remote installations of the XOX operating system. IntelliMirror features are a subset of Group Policy, which in turn requires the Active Directory directory service. Active Directory is included with Microsoft® Windows 2000 Server and with Microsoft® Windows Server 2003 family.

Most of the IntelliMirror features in XOX and Windows Server 2003 family are also available in Windows 2000. You can use IntelliMirror in a network that uses all of these operating systems. However, improvements in the features that were added for XOX and XOX, provide greater flexibility in administering computers and user accounts in your network.

The IntelliMirror feature set in XOX and Windows Server 2003 family provides the following capabilities:

User data management

Administrators can ensure that users can access their data from any computer on the corporate network that is running Windows 2000, XOX, or a Windows Server 2003 family operating system. Users can work with locally cached copies of the data while disconnected from the network, for example while traveling with the computer. Upon reconnecting to the network, the changes are synchronized.

The effect of user data management is similar to the effect of user settings management: the computing environment (user settings) and the data the user works with (user data) are available to the user as he or she moves from computer to computer within the network, and remain available when a computer is disconnected from the network.

Software installation and maintenance

Administrators can install and maintain applications on computers running Windows 2000 and XOX. If any of the applications need to be updated, the network administrator can update them from the server.

User settings management

Administrators can centrally define computing environments for groups of users, and either grant or deny those users the ability to further customize their environments. This allows an administrator to define settings on behalf of the organization, and have those settings enforced. Administrators can also configure the user settings management capabilities to ensure that users receive the configured settings when they log on to different computers in the network.

The effect of user settings management is similar to the effect of user data management: the computing environment (user settings) and the data the user works with (user data) are available to the user as he or she moves from computer to computer within the network, and remain available when a computer is disconnected from the network.

Computer settings management

Administrators can define how computers are customized and restricted on your network. These settings can apply to computers, regardless of who logs on to those computers. For example, you can specify security settings, network configuration, and even some aspects of configuration. These features help you enforce corporate policies regarding computer configuration and usage.

Remote installation services

The remote installation services feature simplifies the task of installing an operating system on computers throughout an organization. It provides a mechanism for computers to connect to a network server during the initial boot process, while the server controls a local installation of any of the following operating systems:

  • XOX
  • XOX
  • XOX
  • Microsoft® Windows 2000 Professional
  • Microsoft® Windows 2000 Server
  • Microsoft® Windows 2000 Advanced Server

Remote installation services can be used to either install the correct configuration of the operating system on a new computer, or to restore a failed computer to a known operating system configuration.

For more information about specific IntelliMirror technologies, click the appropriate link in the following table.

Capability Technology
User data management
  • Active Directory
  • Group Policy
  • Offline Files
  • Synchronization Manager
  • Disk Quotas
  • Roaming user profiles
Software installation and maintenance
  • Active Directory
  • Group Policy
  • Windows Installer
User settings management
  • Active Directory
  • Roaming user profiles
Computer settings management
  • Active Directory user and computer accounts
  • Group Policy
Remote installation services
  • Active Directory
  • Group Policy
  • Remote Installation Services


Manage the command-prompt window

The following table lists some of the most common tasks for managing the command-prompt window, and the tools you can use to perform them. For more information, click the corresponding link under Command-line tool.

Task | Command-line tool
Clears the Command Prompt window. | Cls
Starts a new instance of the command interpreter, Cmd.exe. Used without parameters, cmd displays the version and copyright information of the operating system. | Cmd
Changes the Command Prompt window foreground and background colors for the current session. Used without parameters, color restores the default Command Prompt window foreground and background colors. | Color
Turns the command-echoing feature on or off, or displays a message. Used without parameters, echo displays the current echo setting. | Echo
Provides online information about system commands (that is, non-network commands). Used without parameters, help lists and briefly describes every system command. | Help
Starts Help and Support Center. Used without parameters, helpctr displays the Help and Support Center home page. | Helpctr
Displays one screen of output at a time. | More
Runs the command interpreter Cmd.exe, rather than Command.com, after running a TSR or after starting the command prompt from within an MS-DOS application. | Ntcmdprompt
Changes the Cmd.exe prompt. Used without parameters, prompt resets the command prompt to the default setting, the current drive letter followed by the current directory and a greater-than symbol (>). | Prompt
You can use redirection operators to redirect command input and output streams from the default locations to different locations. The input or output stream location is referred to as a handle. | Redirection operators
Starts a separate Command Prompt window to run a specified program or command. Used without parameters, start opens a second command prompt window. | Start
Creates a title for the command prompt window. | Title

For more information about the command shell, see Command shell overview. For an alphabetical list of all of the command-line tools, see Command-line reference A-Z.